/* global styles */
/* figure out why media can scroll right */

body {
    background-image: url('../img/paper.jpg.webp');
    height: fit-content;
    overflow-x: hidden;
}

* {
    cursor: url('../img/cursor.png') 0 51, auto;
}




/* header from project 2 */
.logo-1 {
    height: 50px;
    width: 50px;
}

.logo {
    height: 50px;
    width: 50px;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
}


/* next code copied from canvas for hamburger menu from project 2 */
/*HIDE THE DESKTOP NAV ON MOBILE*/
.desktop-nav {
    display: none;
}

.logo-2 {
    width: 50px;
    height: 50px;
}


/*THE HAMBURGER MENU*/

.sidenav {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background-color: #3E4648;
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 60px;
}

.sidenav a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 25px;
    color: #E4E5DD;
    display: block;
    transition: 0.3s;
}

.sidenav a:hover {
    color: #665440;
}

.sidenav .closebtn {
    position: absolute;
    top: 0;
    right: 25px;
    font-size: 36px;
    margin-left: 50px;
}

#hamburger {
    color: #5D7A62;
}


/* homepage styles */

#homepage {
    display: flex;
    justify-content: center;
    height: 900px;
    width: 100%;
}

#homepage img {
    transform: translateY(600px);
    transition: transform 1s ease;
    /* makes it so width is based off of the screen as opposed to the parent */
    width: 250vw;
}

/* homepage animation */
@keyframes rock {
    0% {
        transform: rotate(0deg);
    }

    25% {
        transform: rotate(5deg);
    }

    75% {
        transform: rotate(-5deg);
    }

    100% {
        transform: rotate(0deg);
    }

}


#tagline {
    text-decoration: none;
    color: #5D7A62;
    padding-right: 10px;
    font-size: medium;
    font-family: "Pirata One", system-ui;
    font-size: 60px;
    text-align: center;
}


#border {
    display: flex;
    justify-content: center;
}

#border img {
    height: 100px;
}

#border-1 {
    display: block;
}

#border-2 {
    display: none;
}

#border-3 {
    display: none;
}


#human-skills img {
    width: 450px;
    height: 450px;
    margin-top: 100px;
    margin: 0 auto;
    display: block;
}


#AI-skills img {
    width: 500px;
    height: 500px;
    margin-top: 100px;
    margin: 0 auto;
    display: block;
    padding-top: 25%;
}


#about img {
    width: 450px;
    height: 450px;
    margin-top: 100px;
    margin: 0 auto;
    display: block;
    padding-top: 25%;
}

#human-skills,
#AI-skills,
#about {
    text-align: center;
}

#human-skills a,
#AI-skills a,
#about a {
    text-decoration: none;
    color: #5D7A62;
    font-family: 'Times New Roman', Times, serif;
    font-size: 60px;
    text-align: center;
}

#sections {
    display: flex;
    flex-wrap: wrap;
    margin-top: 100px;
    justify-content: space-evenly;
}

#about {
    padding-bottom: 100px;
}


/* human skills page */

.title {
    text-decoration: none;
    color: #3E4648;
    padding-right: 10px;
    font-family: "Pirata One", system-ui;
    font-size: 60px;
    text-align: center;
}

/* creativity section */
#creativity {
    text-align: center;
    margin-bottom: 25%;
}

#creativity p {
    text-decoration: none;
    color: #3E4648;
    padding-right: 10px;
    font-family: 'Times New Roman', Times, serif;
    font-size: 30px;
    text-align: center;
}

#creativity h1 {
    text-decoration: none;
    color: #3E4648;
    padding-right: 10px;
    font-family: "Pirata One", system-ui;
    font-size: 50px;
    text-align: center;
    text-align: center;
}

#creativity img {
    width: 450px;
    height: 600px;
}

/* time management section */

#time {
    text-align: center;
    margin-bottom: 25%;
}

#time p {
    text-decoration: none;
    color: #3E4648;
    padding-right: 10px;
    font-family: 'Times New Roman', Times, serif;
    font-size: 30px;
    text-align: center;
}

#time h1 {
    text-decoration: none;
    color: #3E4648;
    padding-right: 10px;
    font-family: "Pirata One", system-ui;
    font-size: 50px;
    text-align: center;
    text-align: center;
}

#time img {
    width: 500px;
    height: 400px;

}

/* adaptability section*/

#adaptability {
    justify-content: center;
    width: 100%;
}

#adaptability p {
    text-decoration: none;
    color: #3E4648;
    padding-right: 10px;
    font-family: 'Times New Roman', Times, serif;
    font-size: 30px;
    text-align: center;
}

#adaptability h1 {
    text-decoration: none;
    color: #3E4648;
    padding-right: 10px;
    font-family: "Pirata One", system-ui;
    font-size: 50px;
    text-align: center;
}

.subtitle {
    display: none;
}

.smallborder {
    display: none;
}

/* subheadings animation */

/* moving them down so that JS will move them back up */
#creativity h1,
#time h1,
#adaptability h1 {
    transform: translateY(100px);
    transition: transform 1s ease;
}


/* AI Skills Page */

#AI-title {
    color: #5D7A62;
}

#intro {
    text-decoration: none;
    color: #5D7A62;
    padding-right: 10px;
    font-family: 'Times New Roman', Times, serif;
    font-size: 30px;
    text-align: center;
}

#click {
    text-decoration: none;
    color: #665440;
    padding-right: 10px;
    font-family: 'Times New Roman', Times, serif;
    font-size: 20px;
    text-align: center;
    padding-top: 10px;
}

.all {
    text-decoration: none;
    color: #5D7A62;
    padding-right: 10px;
    font-family: 'Times New Roman', Times, serif;
    font-size: 30px;
    text-align: center;
    margin-bottom: 30px;
}

button {
    width: 400px;
    height: 200px;
    color: #5D7A62;
    font-size: 30px;
    margin: 10px;
    background-image: url('../img/button.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-color: transparent;
    border: none;
    padding-top: 8px;
}

/* about page */
#about-title {
    color: #3E4648;
}

#bio {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    padding-top: 50px;
}

#bio-text {
    text-decoration: none;
    color: #3E4648;
    padding-right: 10px;
    font-family: 'Times New Roman', Times, serif;
    font-size: 30px;
    text-align: center;
    margin-bottom: 30px;
}

#bio-img img {
    width: 400px;
    height: 500px;
}























@media screen and (min-width:1080px) {

    /* this code copied for hamburger menu from canvas from project 2  */
    /*Hide the mobile nav once the screen is 1081 pixels wide*/
    .sidenav {
        display: none;
    }

    #hamburger {
        display: none;
    }


    /*Show the desktop nav*/
    .desktop-nav {
        display: flex;
    }



    .logo {
        display: none;
    }

    .desktop-nav a {
        text-decoration: none;
        color: #5D7A62;
        padding-right: 10px;
        font-size: medium;
        font-family: "Pirata One", system-ui;
        font-size: x-large;
        cursor: url('../img/cursor.png') 0 51, auto;

    }

    .desktop-nav a:hover {
        color: #665440;
        cursor: url('../img/cursor.png') 0 51, auto;
    }


    /* homepage */
    #border-2 {
        display: block;
    }

    #border-3 {
        display: block;
    }

    #human-skills img {
        width: 550px;
        height: 550px;
        padding-top: 0%;
    }


    #AI-skills img {
        width: 600px;
        height: 600px;
        padding-top: 0%;
    }


    #about img {
        width: 550px;
        height: 550px;
        padding-top: 0%;
    }

    /* Human Skills page */

    #creativity {
        display: flex;
        flex-wrap: wrap;
        margin-top: 25px;
        justify-content: center;
        margin-bottom: 5%;
    }

    #creativity p {
        width: 50%;
        margin-top: 15%;
        font-size: 40px;
    }


    #creativity h1,
    #time h1,
    #adaptability h1 {
        display: none;
    }


    #time {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        margin-bottom: 5%;
        margin-top: 5%;
    }

    #time p {
        width: 50%;
        margin-top: 12%;
        font-size: 40px;
    }

    #time img {
        width: 600px;
        height: 500px;

    }

    #adaptability {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        margin-top: 5%;
    }

    #adaptability p {
        width: 50%;
        /* margin-top: 15%; */
        font-size: 40px;
    }

    .subtitle {
        display: block;
        text-align: center;
        text-decoration: none;
        color: #3E4648;
        padding-right: 10px;
        font-family: "Pirata One", system-ui;
        font-size: 50px;
        text-align: center;
    }

    .smallborder {
        display: block;
        width: 300px;
        height: 100px;
        margin-left: auto;
        margin-right: auto;
    }

    /* subheadings animation */

    /* moving them down */
    .subtitle {
        transform: translateY(100px);
        transition: transform 1s ease;
    }


    /* about page */

    #bio-text {
        text-decoration: none;
        color: #3E4648;
        padding-right: 10px;
        font-family: 'Times New Roman', Times, serif;
        font-size: 30px;
        text-align: center;
        margin-bottom: 30px;
        width: 50%;
    }

    #bio-img img {
        width: 400px;
        height: 500px;
    }




}